Do I need a game or I can do Homebrew Launcher (Browser) [downgraded from 11.1.0 to 10.4.0]

Discussion in '3DS - Flashcards & Custom Firmwares' started by ochentay4, Dec 14, 2016.

  1. ochentay4
    OP

    ochentay4 Member

    Newcomer
    45
    2
    Jun 23, 2015
    Argentina
    Hi, I just did a hardmod downgrade from 11.1.0 to 10.4.0 on my New 3DS XL. Can I do Homebrew Launcher (Browser) hack or it's mandatory to do Homebrew Launcher (No Browser) with any of those retail/eshop games?
     
  2. Quantumcat

    Quantumcat Dead and alive

    Member
    10,497
    5,534
    Nov 23, 2014
    Australia
    Canberra, Australia
    Follow the guide. If it is telling you to use Homebrew (No Browser), it isn't because all the devs are in cahoots with Nintendo and are trying to trick you into buying a game when you don't need to. It is because browserhax will not work. You can go ahead and try though, if you're feeling really paranoid :-)
     
    Last edited by Quantumcat, Dec 14, 2016
    Zidapi likes this.
  3. ochentay4
    OP

    ochentay4 Member

    Newcomer
    45
    2
    Jun 23, 2015
    Argentina
    I did, and the guide says Homebrew Launcher (No Browser), but I ask as the guide isnt always correct or updated, a good example is that patched nand is named nand_patched.img and not nand.img.
     
  4. Quantumcat

    Quantumcat Dead and alive

    Member
    10,497
    5,534
    Nov 23, 2014
    Australia
    Canberra, Australia
    The guide is always correct and updated!!!!! That's why everyone recommends it and it's basically the only thing you should ever follow when doing anything to do with a9lh!

    Edit: if you think something is wrong with the guide - make a github account and create a new issue. That way Plailect will see it and fix it right away. If it's not an issue he will say why and then close the issue.
     
    Last edited by Quantumcat, Dec 14, 2016
    Xiphiidae and HyperT like this.
  5. ochentay4
    OP

    ochentay4 Member

    Newcomer
    45
    2
    Jun 23, 2015
    Argentina
    Mmm. Then I must get a cart to do homebrew.
    Also, did you read that the guide is WRONG and patching nand with autofirm generates a file named "nand_patched.img" and not "nand.img". Guide is not always updated/correct.
     
  6. HyperT

    HyperT GBAtemp Advanced Fan

    Member
    674
    169
    Jun 4, 2016
    Are you sure you just didn't press up/down when the nand.img was being made? there's typically a lot of default _xxx names to name the file so that a keyboard isn't needed [if one could be included]

    edit: Ignore the above, it's autofirm[.bat] which is run on Windows and your right - it's nand.bin and nand_patched.bin instead of backup_nand.bin and nand.bin [for stock / altered] even the script itself is off it has backup_nand.bin [incorrectly] and nand_patched.bin @Plailect if you want to check that's accurate...
     
    Last edited by HyperT, Dec 14, 2016
    Quantumcat likes this.
  7. Quantumcat

    Quantumcat Dead and alive

    Member
    10,497
    5,534
    Nov 23, 2014
    Australia
    Canberra, Australia
    If you're sure it is wrong (you should do some testing first - if you are wrong you'll look like a goose) - open an issue. Complaining about it being wrong won't solve anything. Do something about it.
     
  8. ochentay4
    OP

    ochentay4 Member

    Newcomer
    45
    2
    Jun 23, 2015
    Argentina
    Sorry, I did not complain, I just said that guide is not always 100% correct/updated. I'll gladly open an issue if you tell me where. I thought that posting it here would suffice, but I can do more if I'm pointed to the right direction.
     
  9. Quantumcat

    Quantumcat Dead and alive

    Member
    10,497
    5,534
    Nov 23, 2014
    Australia
    Canberra, Australia
    https://github.com/Plailect/Guide/issues
    And yes it is always updated. First of all Plailect is excellent at updating the guide within a few hours of any new developments. And second of all he has good communication with the devs so stuff is very unlikely to be wrong. Third of all if anyone other than the devs of the tools finds something wrong they raise an issue and it gets fixed immediately. So I would be surprised if something was wrong. But of course it is possible. Plailect and the devs are only human, and possibly none of the users has noticed it before now.
     
    Last edited by Quantumcat, Dec 14, 2016
  10. ochentay4
    OP

    ochentay4 Member

    Newcomer
    45
    2
    Jun 23, 2015
    Argentina
    Yeah I know. Please dont take my thread as an aggression. I asked something and reported an incorrect part of the guide, nothing else. In fact, I do really respect, enjoy and thank Plailect and everyone involved in the guide and hacking scene! I just posted the issue there in the link you provided. Thanks anyway, and please, next time, dont assume everyone "just complains" or "isnt grateful" as I always try to be nice and collaborate.
     
  11. Ewo

    Ewo Member

    Newcomer
    29
    6
    Nov 27, 2014
    United States
    If you're on 10.4, I don't see why you wouldn't be able to use browserhax, you'd just have to bypass the version check. I've never used it so please, someone correct me if I'm wrong about that.

    EDIT: Thanks @nechigawara, this doesn't apply for an NFIRM downgrade.
     
    Last edited by Ewo, Dec 14, 2016
  12. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    Maybe you have the 11.1 browser with the 10.4 NFIRM, hence, the incompatibility with browserhax (maybe browserhax need both versions to match)
     
  13. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,165
    389
    Oct 14, 2006
    Thailand
    Planeptune
    hardmod downgrade from 11.1.0 to 10.4.0 only have NFIRM downgrade as @Arubaro said. Browser Version still 11.1 with an update nag.
    So, no go.
     
  14. ochentay4
    OP

    ochentay4 Member

    Newcomer
    45
    2
    Jun 23, 2015
    Argentina
    Yeah, thats what I thought and asked. Thanks everyone for clarification.